README
======

# Transistor - Simple Radio App

**Version 4.0.x ("Andy Warhol")**

Transistor is an app for listening to radio programs over the internet. Transistor is a radio app with a minimalistic approach, that may not be to everyone's liking. It has no radio station discovery feature. Transistor only offers a very simple search option and it imports audio streaming links when you tap them in a web browser.

Transistor is free software. It is published under the [MIT open source license](https://opensource.org/licenses/MIT). Want to help? Please check out the notes in [CONTRIBUTING.md](https://github.com/y20k/transistor/blob/master/CONTRIBUTING.md) first.

## Install Transistor
You can install Transistor via F-Froid and Google Play - or you can go and grab the latest APK on [GitHub](https://github.com/y20k/transistor/releases).

[<img src="https://fdroid.gitlab.io/artwork/badge/get-it-on.png" alt="Get it on F-Droid" height="80">](https://f-droid.org/repository/browse/?fdid=org.y20k.transistor)

[<img src="https://play.google.com/intl/en_us/badges/images/generic/en-play-badge.png" alt="Get it on Google Play" height="80">](https://play.google.com/store/apps/details?id=org.y20k.transistor)

## Frequent Questions

### How can I add a radio station
There are three ways to add a radio station to Transistor: Use Search, add playlist file address (M3U, PLS), enter a raw stream address. The last way will not support the update feature.

### How does the update feature work?
The update feature will try to fetch the current stream address of a station as well as the updated name and station image. The feature will not work for stations added via a raw stream address, or for stations imported from Transistor v3.

### Where do the radio station search results come from?
Transistor searches the [radio-browser.info](http://www.radio-browser.info/) online database. You can help out the radio-browser.info community by [adding the missing station](http://www.radio-browser.info/gui/#!/add) to their database.

### Which audio formats are supported?
Transistor can play back streams encoded in MP3, AAC and Ogg/Opus. It also has experimental support for HLS streams.


## Screenshots (v4.0)
[<img src="https://raw.githubusercontent.com/y20k/transistor/master/metadata/en-US/phoneScreenshots/01-lockscreen-active-oneplus5.png" width="360">](https://raw.githubusercontent.com/y20k/transistor/master/metadata/en-US/phoneScreenshots/01-lockscreen-active-oneplus5.png)
[<img src="https://raw.githubusercontent.com/y20k/transistor/master/metadata/en-US/phoneScreenshots/02-playback-oneplus5.png" width="360">](https://raw.githubusercontent.com/y20k/transistor/master/metadata/en-US/phoneScreenshots/02-playback-oneplus5.png)

[<img src="https://raw.githubusercontent.com/y20k/transistor/master/metadata/en-US/phoneScreenshots/03-player-sheet-oneplus5.png" width="360">](https://raw.githubusercontent.com/y20k/transistor/master/metadata/en-US/03-player-sheet-oneplus5.png)
[<img src="https://raw.githubusercontent.com/y20k/transistor/master/metadata/en-US/phoneScreenshots/04-add-station-oneplus5.png" width="360">](https://raw.githubusercontent.com/y20k/transistor/master/metadata/en-US/phoneScreenshots/004-add-station-oneplus5.png)
